Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.antlr
Class AntlrSourceVirtualDirectoryImpl

    java.lang.Object
      org.gradle.api.plugins.antlr.AntlrSourceVirtualDirectoryImpl

All Implemented Interfaces:
  AntlrSourceVirtualDirectory

    public class AntlrSourceVirtualDirectoryImpl

extends Object
implements AntlrSourceVirtualDirectory

The implementation of the `AntlrSourceVirtualDirectory` contract.

Field Summary

Fields inherited from interface org.gradle.api.plugins.antlr.AntlrSourceVirtualDirectory
`NAME`

Constructor Summary
`AntlrSourceVirtualDirectoryImpl(String parentDisplayName, org.gradle.api.internal.file.FileResolver fileResolver)`

Method Summary
`AntlrSourceVirtualDirectory` | `antlr(Closure configureClosure)` Configures the Antlr source for this set.
`org.gradle.api.internal.file.UnionFileTree` | `getAllAntlr()` All Antlr source for this source set.
`SourceDirectorySet` | `getAntlr()` All Antlr source for this source set.
`PatternFilterable` | `getAntlrSourcePatterns()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntlrSourceVirtualDirectoryImpl

    public AntlrSourceVirtualDirectoryImpl(String parentDisplayName,
                                           org.gradle.api.internal.file.FileResolver fileResolver)

Method Detail

### getAntlr

    public SourceDirectorySet getAntlr()

  Description copied from interface: `AntlrSourceVirtualDirectory`
  All Antlr source for this source set.

  Specified by:
    `getAntlr` in interface `AntlrSourceVirtualDirectory`
  Returns:
    The Antlr source. Never returns null.

### antlr

    public AntlrSourceVirtualDirectory antlr(Closure configureClosure)

  Description copied from interface: `AntlrSourceVirtualDirectory`
  Configures the Antlr source for this set. The given closure is used to configure the `SourceDirectorySet` (see `AntlrSourceVirtualDirectory.getAntlr()`) which contains the Antlr source.

  Specified by:
    `antlr` in interface `AntlrSourceVirtualDirectory`
  Parameters:
    `configureClosure` - The closure to use to configure the Antlr source.
  Returns:
    this

### getAllAntlr

    public org.gradle.api.internal.file.UnionFileTree getAllAntlr()

  Description copied from interface: `AntlrSourceVirtualDirectory`
  All Antlr source for this source set.

  Specified by:
    `getAllAntlr` in interface `AntlrSourceVirtualDirectory`
  Returns:
    The Antlr source. Never returns null.

### getAntlrSourcePatterns

    public PatternFilterable getAntlrSourcePatterns()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD